[vdr] OS Upgrade left VDR broken...

Mlists mlists at dressler.ca
Sat Jun 24 13:17:18 CEST 2006


On Sat, 2006-06-24 at 02:20 +0200, Udo Richter wrote:

> Mlists wrote:
> >   Hi all -- I did an OS update today and it seems to have broken a few 
> > things.  In particular it might be related to GCC being 4.1.1 now.  
> > Here's the error:
> >
> > menuitems.h:23: error: extra qualification 'cMenuEditItem::' on member 
> > 'SetValue'
> 
> I'm 'just' using GCC 4.1.0, but VDR works fine for me.
> What VDR version do you compile? Do you use any patches on VDR? What 
> does the referenced line look like in your source? The original line 
> throughout 1.2.0 - 1.4.1 is this:
> 
>    void SetValue(const char *Value);
> 
> and thats perfectly ok in my eyes. No cMenuEditItem::SetValue that would 
> trigger this error for sure.
> 
> Also, whats the ccache in front of g++, some kind of compiler caching? 
> Maybe you need to flush this cache because of whatever?
> 


The ccache is a compiler cache.  I had already flushed it before sending
the email.  I use a pre-patched version from Hoochster.

After doing some grepping around, I found that this patch,
vdr-1.4.0-show_valid_input.diff, was the culprit -- I just reversed it
and everything compiled.

Oddly, this patch was applied and compiled prior.

Norm
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://www.linuxtv.org/pipermail/vdr/attachments/20060624/f46b339f/attachment.htm


More information about the vdr mailing list